namespace Trek_12.Views.Components;

public partial class viewsProfils : ContentView
{
	public viewsProfils()
	{
		InitializeComponent();
	}

    public static readonly BindableProperty PseudoProperty =
        BindableProperty.Create("Pseudo", typeof(string), typeof(ContentLeaderBoard), "Profile n°*");

    public string Pseudo
    {
        get => (string)GetValue(PseudoProperty);
        set => SetValue(PseudoProperty, value);
    }


    public static readonly BindableProperty ProfilePictureProperty =
        BindableProperty.Create("ProfilePicture", typeof(string), typeof(ContentLeaderBoard), "profile.jpg");

    public string ProfilePicture
    {
        get => (string)GetValue(ProfilePictureProperty);
        set => SetValue(ProfilePictureProperty, value);
    }
}